ExtensionTest
Keywords: junit.tests.extensions.ExtensionTest class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## junit.tests.extensions
Class ExtensionTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              junit.tests.extensions.ExtensionTest

All Implemented Interfaces:
  Test

    public class ExtensionTest

extends TestCase

A test case testing the extensions to the testing framework.

Constructor Summary
`ExtensionTest()`

Method Summary
`void` | `testRunningErrorInTestSetup()`
`void` | `testRunningErrorsInTestSetup()`
`void` | `testSetupErrorDontTearDown()`
`void` | `testSetupErrorInTestSetup()`

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, setUp, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail, failNotEquals, failNotSame, failSame`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ExtensionTest

    public ExtensionTest()

Method Detail

### testRunningErrorInTestSetup

    public void testRunningErrorInTestSetup()

### testRunningErrorsInTestSetup

    public void testRunningErrorsInTestSetup()

### testSetupErrorDontTearDown

    public void testSetupErrorDontTearDown()

### testSetupErrorInTestSetup

    public void testSetupErrorInTestSetup()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD